VMWare

De gacq wiki

Use VirtualBox instead of vmware, it's free software

Contenido

VMware Server

Instalacion

Interface administrativa

https://localhost:8333/

Errores

libgnomevfs-WARNING

(vmware:8532): libgnomevfs-WARNING **: Cannot load module `/usr/lib/gnome-vfs-2.0/modules/libfile.so' (/usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6))

vmware console hang when you try to browse the directories To fix run:

mv /usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1 /usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1-not2load

More info at vmware.com - Topic: vmplayer fails to start

The host high-resolution timer device

The host high-resolution timer device (/dev/rtc) cannot be set up to deliver interrupts (Invalid argument).  Certain versions of the Linux kernel do not support this feature. Without the device, the guest operating system can fail to keep time correctly. To avoid this problem, see http://www.vmware.com/info?id=34.

Es es por que el kernel no tiene soporte de RTC (Real Time Clock). Los problemas que esto trae son es que no se pueden generar interrupciones basadas en el tiempo y esto hace que el reloj de guest se va quedando atrazado de el host y muchas aplicaciones del guest empiecen a funcionar muy lentamente. Alguien dijo que esto tenia que ver con los procesadores AMD Athlon. Para solucionarlo por ahora lo unico que vi es recopilar el kernel con soporte para RTC

Error vmnet0 en kernel 2.6.12

Con VMware 5 a pesar de copilar bien el modulo tira un error al levandar el modulo de la interface de red. El querer levantar vmware tira

"vmware is installed, but it has not been (correctly) configured
for this system. To (re-)configure it, invoke the following command:
/usr/bin/vmware-config.pl.

Para que funcione tenemos que correr vmware-any-any-update94.tar.gz Es que se puede bajar de http://ftp.cvut.cz/vmware/

Error libpng12.so.0

Si al querer ejecutar vmware-server-console se ven los siguientes errores y la consola no levanta:

/usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libpng12.so.0/libpng12.so.0: no version information available (required by /usr/lib/libcairo.so.2)
/usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libpng12.so.0/libpng12.so.0: no version information available (required by /usr/lib/libcairo.so.2)
/usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libpng12.so.0/libpng12.so.0: no version information available (required by /usr/lib/libcairo.so.2)

To resolve:

apt-get remove libdbus-1-2    (o remover con Synaptic)
rm /usr/lib/vmware/lib/libpng12.so.0/libpng12.so.0
ln -s /usr/lib/libpng12.so.0 /usr/lib/vmware/lib/libpng12.so.0/libpng12.s

Error with new kernel 2.6.22-2

Using 2.6.x kernel build system.
make: se ingresa al directorio `/tmp/vmware-config1/vmmon-only'
make -C /lib/modules/2.6.22-2-k7/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: se ingresa al directorio `/usr/src/linux-headers-2.6.22-2-k7'
/tmp/vmware-config1/vmmon-only/Makefile:127: *** Inappropriate build environment: you wanted to use gcc version 4.2.1 while kernel attempts to use gcc version 4.1.3.
/tmp/vmware-config1/vmmon-only/Makefile:129: *** For proper build you'll have to replace  gcc-4.1 -m32 with symbolic link to /usr/bin/gcc.  Alto.
make[1]: *** [_module_/tmp/vmware-config1/vmmon-only] Error 2
make[1]: se sale del directorio `/usr/src/linux-headers-2.6.22-2-k7'
make: *** [vmmon.ko] Error 2
make: se sale del directorio `/tmp/vmware-config1/vmmon-only'
Unable to build the vmmon module.

For more information on how to troubleshoot module-related problems, please 
visit our Web site at "http://www.vmware.com/download/modules/modules.html" and
"http://www.vmware.com/support/reference/linux/prebuilt_modules_linux.html".

Execution aborted.
to solve
apt-get install g++-4.1
export CC=gcc-4.1
Herramientas personales